﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

/// <summary>
/// Summary description for EnumerationTypeAttribute
/// </summary>

namespace QuickStock
{
    [AttributeUsage(AttributeTargets.Property, AllowMultiple = false)]
    public class AutocompleteAttribute : Attribute
    {
        public AutocompleteAttribute(int prefixLength)
        {
            PrefixLength = prefixLength;
        }

        // default prefix of 3 chars
        public AutocompleteAttribute() : this(3) { }

        public int PrefixLength { get; set; }
    }
}