﻿<%@ Page Language="C#" MasterPageFile="~/Site.master" CodeBehind="List.aspx.cs" Inherits="ARTICOLI_ORDINE_FORNITORE.List" %>

<%@ Register src="~/DynamicData/Content/GridViewPager.ascx" tagname="GridViewPager" tagprefix="asp" %>

<%@ Register assembly="System.Web.Entity, Version=3.5.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" namespace="System.Web.UI.WebControls" tagprefix="asp" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">

    <script language="javascript">
        function printArticoli(whereSQL) {
            var url = "Report.aspx?whereSQL=" + whereSQL;

            var WinPrint = window.open(url, 'Report_articoli_fornitore', '');
            WinPrint.focus();        
        }
    </script>

    <asp:DynamicDataManager ID="DynamicDataManager1" runat="server" AutoLoadForeignKeys="true" />

    <h2>Articoli ordinati a fornitori</h2>

    <asp:ScriptManagerProxy runat="server" ID="ScriptManagerProxy1" />

    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <asp:ValidationSummary ID="ValidationSummary1" runat="server" EnableClientScript="true"
                HeaderText="List of validation errors" />
            <asp:DynamicValidator runat="server" ID="GridViewValidator" ControlToValidate="GridView1" Display="None" />
            
            <fieldset>
                <legend>FILTRO DI RICERCA</legend>
                <br />
                <table>
                    <tr>
                        <td>
                            Fornitore:
                        </td>
                        <td>
                            <asp:DropDownList ID="fornitore_DropDownList" runat="server" 
                                AutoPostBack="True" DataSourceID="fornitoreLinqDataSource" 
                                DataTextField="RAGIONE_SOCIALE_FORNITORE" DataValueField="ID_FORNITORE" 
                                AppendDataBoundItems="True">
                                <asp:ListItem></asp:ListItem>
                            </asp:DropDownList>
                            <asp:LinqDataSource ID="fornitoreLinqDataSource" runat="server" 
                                ContextTypeName="QuickStock.Model.QuickStockDataContext" 
                                Select="new (ID_FORNITORE, RAGIONE_SOCIALE_FORNITORE)" TableName="FORNITORE">
                            </asp:LinqDataSource>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            Numero ordine fornitore:
                        </td>
                        <td>
                            <asp:TextBox ID="codiceOrdine_TextBox" runat="server" AutoPostBack="True"></asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td>Produttore:</td>
                        <td>
                            <asp:DropDownList ID="produttore_DropDownList" runat="server" 
                                DataSourceID="produttoreLinqDataSource" DataTextField="NOME_PRODUTTORE" 
                                DataValueField="ID_PRODUTTORE" AppendDataBoundItems="True" 
                                AutoPostBack="True">
                                <asp:ListItem></asp:ListItem>
                            </asp:DropDownList>
                            <asp:LinqDataSource ID="produttoreLinqDataSource" runat="server" 
                                ContextTypeName="QuickStock.Model.QuickStockDataContext" 
                                Select="new (ID_PRODUTTORE, NOME_PRODUTTORE)" TableName="PRODUTTORE">
                            </asp:LinqDataSource>
                        </td>
                    </tr>
                    <tr>
                        <td>Stato:</td>
                        <td>
                            <asp:DropDownList ID="stato_DropDownList" runat="server" 
                                DataSourceID="statoLinqDataSource" DataTextField="NOME_STATO_ARTICOLO_ORDINE" 
                                DataValueField="ID_STATO_ARTICOLO_ORDINE" AppendDataBoundItems="True" 
                                AutoPostBack="True">
                                <asp:ListItem></asp:ListItem>
                            </asp:DropDownList>
                            <asp:LinqDataSource ID="statoLinqDataSource" runat="server" 
                                ContextTypeName="QuickStock.Model.QuickStockDataContext" 
                                Select="new (ID_STATO_ARTICOLO_ORDINE, NOME_STATO_ARTICOLO_ORDINE)" 
                                TableName="STATO_ARTICOLO_ORDINE">
                            </asp:LinqDataSource>
                        </td>
                    </tr>
                    <tr>
                        <td>Articolo:</td>
                        <td>
                            <asp:TextBox ID="codiceArticolo_TextBox" runat="server" Width="148px" 
                                AutoPostBack="True"></asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td>Data ordine fornitore DA</td>
                        <td><asp:TextBox ID="dataOrdineDa_TextBox" runat="server" AutoPostBack="True"></asp:TextBox></td>
                    </tr>
                    <tr>
                        <td>Data ordine fornitore A</td>
                        <td><asp:TextBox ID="dataOrdineA_TextBox" runat="server" AutoPostBack="True"></asp:TextBox></td>
                    </tr>
                </table>
            </fieldset>
            <br /><br />
            <asp:Button ID="printButton" runat="server" Text="stampa per fornitore" 
                CausesValidation="false" OnClientClick="print();" 
                onload="printButton_Load" />
            
            <br /><br />
            
            <asp:ObjectDataSource ID="articoli_ObjectDataSource" runat="server" 
                SelectMethod="GetArticoliOrdineFornitore" TypeName="QuickStock.Model.BL" 
                OldValuesParameterFormatString="original_{0}" 
                onselected="articoli_ObjectDataSource_Selected" 
                ondatabinding="articoli_ObjectDataSource_DataBinding" 
                onfiltering="articoli_ObjectDataSource_Filtering" 
                onselecting="articoli_ObjectDataSource_Selecting">
                <SelectParameters>
                    <asp:ControlParameter ControlID="fornitore_DropDownList" Name="idFornitore" 
                        PropertyName="SelectedValue" Type="Int32" />
                    <asp:ControlParameter ControlID="codiceOrdine_TextBox" Name="codiceOrdine" 
                        PropertyName="Text" Type="String" />
                    <asp:ControlParameter ControlID="produttore_DropDownList" Name="idProduttore" 
                        PropertyName="SelectedValue" Type="Int32" />
                    <asp:ControlParameter ControlID="stato_DropDownList" Name="idStato" 
                        PropertyName="SelectedValue" Type="Int32" />
                    <asp:ControlParameter ControlID="codiceArticolo_TextBox" Name="codiceArticolo" 
                        PropertyName="Text" Type="String" />
                    <asp:ControlParameter ControlID="dataOrdineDa_TextBox" Name="dataOrdineFornitore_DA" 
                        PropertyName="Text" Type="String" />
                    <asp:ControlParameter ControlID="dataOrdineA_TextBox" Name="dataOrdineFornitore_A" 
                        PropertyName="Text" Type="String" />
                </SelectParameters>
            </asp:ObjectDataSource>
            
            <asp:GridView ID="GridView1" runat="server" DataSourceID="articoli_ObjectDataSource"
                AllowPaging="True" AllowSorting="True" CssClass="gridview" 
                AutoGenerateColumns="False" DataKeyNames="ID_ARTICOLO_ORDINE_FORNITORE">
                <Columns>
                    <asp:BoundField DataField="CODICE_ARTICOLO" 
                        HeaderText="Codice articolo" 
                        SortExpression="CODICE_ARTICOLO" />
                    <asp:BoundField DataField="QUANTITA_ORDINATA" 
                        HeaderText="Quantità ordinata" 
                        SortExpression="QUANTITA_ORDINATA" />
                    <asp:BoundField DataField="QUANTITA_EVASA" HeaderText="Quantità evasa" 
                        SortExpression="QUANTITA_EVASA" />
                    <asp:BoundField DataField="DESCRIZIONE_ARTICOLO" 
                        HeaderText="Descrizione articolo" 
                        SortExpression="DESCRIZIONE_ARTICOLO" />
                    <asp:BoundField DataField="FORNITORE" HeaderText="Fornitore" 
                        SortExpression="FORNITORE" />
                    <asp:BoundField DataField="DATA_ORDINE_FORNITORE" 
                        HeaderText="Data ordine fornitore" SortExpression="DATA_ORDINE_FORNITORE" />
                    <asp:BoundField DataField="CODICE_ORDINE_FORNITORE" 
                        HeaderText="Numero ordine fornitore" 
                        SortExpression="CODICE_ORDINE_FORNITORE" />
                    <asp:BoundField DataField="CLIENTE" HeaderText="Cliente" 
                        SortExpression="CLIENTE" />
                    <asp:BoundField DataField="DATA_ORDINE_CLIENTE" 
                        HeaderText="Data ordine cliente" SortExpression="DATA_ORDINE_CLIENTE" />
                    <asp:BoundField DataField="CODICE_ORDINE_CLIENTE" 
                        HeaderText="Numero ordine cliente" SortExpression="CODICE_ORDINE_CLIENTE" />
                    <asp:BoundField DataField="STATO" 
                        HeaderText="Stato" SortExpression="STATO" />
                </Columns>

                <PagerStyle CssClass="footer"/>        
                <PagerTemplate>
                    <asp:GridViewPager runat="server" />
                </PagerTemplate>
                <EmptyDataTemplate>
                    Tabella vuota
                </EmptyDataTemplate>
            </asp:GridView>

            <br />
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
