﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Xml.Linq;
using System.Web.DynamicData;
using QuickStock.Model;
using QuickStock.DynamicData.CustomPages.GridViewGroup;
using System.Drawing;

namespace DDT_CARICO
{

    public partial class Details : System.Web.UI.Page
    {
        protected MetaTable table;

        protected void Page_Init(object sender, EventArgs e)
        {
            DynamicDataManager1.RegisterControl(DetailsView1);

            GridViewHelper helper = new GridViewHelper(this.articoliDDT_GridView);
            string[] cols = new string[1];
            cols[0] = "Cliente_Title";

            helper.RegisterSummary("Quantita", SummaryOperation.Sum);
            helper.RegisterGroup(cols, true, true);
            helper.GroupHeader += new GroupEvent(helper_GroupHeader);
            helper.GroupSummary += new GroupEvent(helper_GroupSummary);
            helper.ApplyGroupSort();
        }

        private void helper_GroupHeader(string groupName, object[] values, GridViewRow row)
        {
            if (groupName == "Cliente_Title")
            {
                row.BackColor = Color.LightGray;
                row.Font.Bold = true;
                row.Cells[0].Text = " + CLIENTE : " + row.Cells[0].Text;
            }
        }

        private void helper_GroupSummary(string groupName, object[] values, GridViewRow row)
        {
            try
            {
                row.Font.Bold = true;
                row.Cells[0].HorizontalAlign = HorizontalAlign.Right;
                row.Cells[1].HorizontalAlign = HorizontalAlign.Right;
                row.Cells[0].Text = "totale:  ";
                int totale = int.Parse(row.Cells[1].Text);
                row.Cells[1].Text = "<B>" + row.Cells[1].Text + "</B>";
            }
            catch { }
        }


        protected void Page_Load(object sender, EventArgs e)
        {
            table = DetailsDataSource.GetTable();
            Title = table.DisplayName;
            ListHyperLink.NavigateUrl = table.ListActionPath;
        }

        protected void DetailsView1_ItemDeleted(object sender, DetailsViewDeletedEventArgs e)
        {
            if (e.Exception == null || e.ExceptionHandled)
            {
                Response.Redirect(table.ListActionPath);
            }
        }
        protected void articoliDDT_GridView_RowDataBound(object sender, GridViewRowEventArgs e)
        {
            try
            {
                if (e.Row.RowIndex > -1)
                {
                    DataRowView rowView = (DataRowView)e.Row.DataItem;
                    DSOrdini.ARTICOLI_DDT_CARICORow oRow = (DSOrdini.ARTICOLI_DDT_CARICORow)rowView.Row;
                    HyperLink detail_HyperLink = (HyperLink)e.Row.FindControl("detail_HyperLink");
                    detail_HyperLink.NavigateUrl = "~/ARTICOLI_DDT_CARICO/Details.aspx?ID_ARTICOLI_DDT_CARICO=" + oRow.ID_ARTICOLI_DDT_CARICO.ToString();
                }
            }
            catch { }

        }

        protected void printButton_Load(object sender, EventArgs e)
        {
            printButton.OnClientClick = "printOrdine('" + Request["CODICE_DDT"] + "');";
        }

    }
}