﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Xml.Linq;
using System.Web.DynamicData;
using QuickStock.Model;
using QuickStock.DynamicData.CustomPages.GridViewGroup;
using System.Drawing;

namespace DDT_CARICO
{
    public partial class Edit : System.Web.UI.Page
    {
        protected MetaTable table;
        string ms_CODICE_DDT;

        protected void Page_Init(object sender, EventArgs e)
        {
            DynamicDataManager1.RegisterControl(DetailsView1);

            GridViewHelper helper = new GridViewHelper(this.articoliDDT_GridView);
            string[] cols = new string[1];
            cols[0] = "Cliente_Title";

            helper.RegisterSummary("Quantita", SummaryOperation.Sum);
            helper.RegisterGroup(cols, true, true);
            helper.GroupHeader += new GroupEvent(helper_GroupHeader);
            helper.GroupSummary += new GroupEvent(helper_GroupSummary);
            helper.ApplyGroupSort();
        }

        private void helper_GroupHeader(string groupName, object[] values, GridViewRow row)
        {
            if (groupName == "Cliente_Title")
            {
                row.BackColor = Color.LightGray;
                row.Font.Bold = true;
                row.Cells[0].Text = " + CLIENTE : " + row.Cells[0].Text;
            }
        }

        private void helper_GroupSummary(string groupName, object[] values, GridViewRow row)
        {
            try
            {
                row.Font.Bold = true;
                row.Cells[0].HorizontalAlign = HorizontalAlign.Right;
                row.Cells[1].HorizontalAlign = HorizontalAlign.Right;
                row.Cells[0].Text = "totale:  ";
                int totale = int.Parse(row.Cells[1].Text);
                row.Cells[1].Text = "<B>" + row.Cells[1].Text + "</B>";
            }
            catch { }
        }


        protected void Page_Load(object sender, EventArgs e)
        {
            table = DetailsDataSource.GetTable();
            Title = table.DisplayName;
            ms_CODICE_DDT = Request["CODICE_DDT"];
        }

        protected void DetailsView1_ItemCommand(object sender, DetailsViewCommandEventArgs e)
        {
            if (e.CommandName == DataControlCommands.CancelCommandName)
            {
                Response.Redirect(table.ListActionPath);
            }
        }

        protected void DetailsView1_ItemUpdated(object sender, DetailsViewUpdatedEventArgs e)
        {
            if (e.Exception == null || e.ExceptionHandled)
            {
                Response.Redirect(table.ListActionPath);
            }
        }

        protected void articoliDaCaricare_GridView_SelectedIndexChanged(object sender, EventArgs e)
        {
            try
            {
                TextBox qtaTextBox = (TextBox)articoliDaCaricare_GridView.SelectedRow.FindControl("caricaQTA_TextBox");
                TextBox noteTextBox = (TextBox)articoliDaCaricare_GridView.SelectedRow.FindControl("note_TextBox");
                DropDownList magazzinoDropDownList = (DropDownList)articoliDaCaricare_GridView.SelectedRow.FindControl("magazzinoDropDownList");                
                int qtaCaricata = Int32.Parse(qtaTextBox.Text);
                int qtaOrdinata = Int32.Parse(articoliDaCaricare_GridView.SelectedRow.Cells[8].Text);
                int idMagazzino = Int32.Parse(magazzinoDropDownList.SelectedValue);

                int qtaEvasa = 0;
                try { 
                    qtaEvasa = Int32.Parse(articoliDaCaricare_GridView.SelectedRow.Cells[9].Text); 
                } catch { }

                string codiceOrdine = articoliDaCaricare_GridView.SelectedRow.Cells[2].Text;

                if (qtaCaricata == 0) return;

                if(qtaCaricata <= (qtaOrdinata + qtaEvasa))
                {
                    string ID_ARTICOLO_ORDINE = noteTextBox.ToolTip;
                    BL.LoadArticolo_DDT(ms_CODICE_DDT, Int32.Parse(ID_ARTICOLO_ORDINE), qtaCaricata, noteTextBox.Text, idMagazzino);

                    articoloCerca_TextBox.Text = "";
                    articoloBarcodeCerca_TextBox.Text = "";

                    articoliDaCaricare_GridView.DataBind();
                    articoliDiArchivioGridView.DataBind();
                    articoliDDT_GridView.DataBind();
                }
            }
            catch { }
        }

        protected void articoliDaCaricare_GridView_RowDataBound(object sender, GridViewRowEventArgs e)
        {
            try
            {
                if (e.Row.RowIndex > -1)
                {
                    DataRowView rowView = (DataRowView)e.Row.DataItem;
                    DSOrdini.ARTICOLI_ORDINE_CLIENTERow oRow = (DSOrdini.ARTICOLI_ORDINE_CLIENTERow)rowView.Row;
                    TextBox textCarica = (TextBox)e.Row.FindControl("note_TextBox");
                    textCarica.ToolTip = oRow.ID_ARTICOLO_ORDINE_CLIENTE.ToString();
                }
            }
            catch (Exception ex) 
            { 
                string s = ex.Message; 
            }
        }

        protected void articoliDDT_GridView_RowDataBound(object sender, GridViewRowEventArgs e)
        {
            try
            {
                if (e.Row.RowIndex > -1) 
                {
                    DataRowView rowView = (DataRowView)e.Row.DataItem;
                    DSOrdini.ARTICOLI_DDT_CARICORow oRow = (DSOrdini.ARTICOLI_DDT_CARICORow)rowView.Row;
                    HyperLink modify_HyperLink = (HyperLink)e.Row.FindControl("modify_HyperLink");
                    modify_HyperLink.NavigateUrl = "~/ARTICOLI_DDT_CARICO/Edit.aspx?ID_ARTICOLI_DDT_CARICO=" + oRow.ID_ARTICOLI_DDT_CARICO.ToString();
                
                    HyperLink detail_HyperLink = (HyperLink)e.Row.FindControl("detail_HyperLink");
                    detail_HyperLink.NavigateUrl = "~/ARTICOLI_DDT_CARICO/Details.aspx?ID_ARTICOLI_DDT_CARICO=" + oRow.ID_ARTICOLI_DDT_CARICO.ToString();
                }
            }
            catch { }
        }

        protected void articoloBarcodeCerca_TextBox_TextChanged(object sender, EventArgs e)
        {
            articoloCerca_TextBox.Text = manageCodArticolo(articoloBarcodeCerca_TextBox.Text);
        }

        private string manageCodArticolo(string sCod)
        {
            if (String.IsNullOrEmpty(sCod)) return String.Empty;

            Int64 cod = Int64.Parse(sCod);
            try
            {
                switch (sCod.Length)
                {
                    case 8:
                        cod = Int64.Parse(sCod);
                        break;

                    case 13:
                        cod = Int64.Parse(sCod.Substring(0, 10));
                        break;
                }

            }
            catch (Exception)
            {
            }

            return cod.ToString();
        }

        protected void printButton_Load(object sender, EventArgs e)
        {
            printButton.OnClientClick = "printOrdine('" + Request["CODICE_DDT"] + "');";
        }

        protected void articoliDiArchivioGridView_SelectedIndexChanged(object sender, EventArgs e)
        {
            try
            {
                TextBox qtaTextBox = (TextBox)articoliDiArchivioGridView.SelectedRow.FindControl("quantita_TextBox");
                TextBox noteTextBox = (TextBox)articoliDiArchivioGridView.SelectedRow.FindControl("note_TextBox");
                DropDownList magazzinoDropDownList = (DropDownList)articoliDiArchivioGridView.SelectedRow.FindControl("magazzinoDropDownList");

                int qtaCaricata = Int32.Parse(qtaTextBox.Text);
                int idMagazzino = Int32.Parse(magazzinoDropDownList.SelectedValue);

                if (qtaCaricata == 0) return;

                string CODICE_ARTICOLO = articoliDiArchivioGridView.SelectedRow.Cells[0].Text;

                BL.LoadArticolo_DDT_OrderLess(ms_CODICE_DDT, CODICE_ARTICOLO, qtaCaricata, noteTextBox.Text, idMagazzino);
                articoloCerca_TextBox.Text = "";
                articoloBarcodeCerca_TextBox.Text = "";                
                articoliDaCaricare_GridView.DataBind();
                articoliDiArchivioGridView.DataBind();
                articoliDDT_GridView.DataBind();
            }
            catch { }
        }

        protected void UpdatePanel2_Load(object sender, EventArgs e)
        {
            articoloBarcodeCerca_TextBox.Focus();
        }

        protected void UpdatePanel3_Load(object sender, EventArgs e)
        {
            articoloBarcodeCerca_TextBox.Focus();
        }

        protected void UpdatePanel1_Load(object sender, EventArgs e)
        {
            articoloBarcodeCerca_TextBox.Focus();
        }

        protected void articoloCerca_TextBox_TextChanged(object sender, EventArgs e)
        {

        }
        protected void articoliDiArchivioGridView_DataBound(object sender, EventArgs e)
        {
            if (articoliDaCaricare_GridView.Rows.Count > 0) 
            {
                articoliTabs.ActiveTabIndex = 0;
            }
            else 
            {
                articoliTabs.ActiveTabIndex = 1;
            } 
        }

        protected void loadAll_Button_Click(object sender, EventArgs e)
        {
            try
            {
                foreach (GridViewRow rowGridView in articoliDaCaricare_GridView.Rows) 
                {

                    TextBox qtaTextBox = (TextBox)rowGridView.FindControl("caricaQTA_TextBox");
                    TextBox noteTextBox = (TextBox)rowGridView.FindControl("note_TextBox");
                    DropDownList magazzinoDropDownList = (DropDownList)rowGridView.FindControl("magazzinoDropDownList");
                    int qtaCaricata = Int32.Parse(qtaTextBox.Text);
                    int qtaOrdinata = Int32.Parse(rowGridView.Cells[8].Text);
                    int idMagazzino = Int32.Parse(magazzinoDropDownList.SelectedValue);

                    int qtaEvasa = 0;
                    try
                    {
                        qtaEvasa = Int32.Parse(rowGridView.Cells[9].Text);
                    }
                    catch { }

                    string codiceOrdine = rowGridView.Cells[2].Text;

                    if ((qtaCaricata > 0) && (qtaCaricata <= (qtaOrdinata + qtaEvasa)))
                    {
                        string ID_ARTICOLO_ORDINE = noteTextBox.ToolTip;
                        BL.LoadArticolo_DDT(ms_CODICE_DDT, Int32.Parse(ID_ARTICOLO_ORDINE), qtaCaricata, noteTextBox.Text, idMagazzino);
                    }
                }

                articoloCerca_TextBox.Text = "";
                articoloBarcodeCerca_TextBox.Text = "";

                articoliDaCaricare_GridView.DataBind();
                articoliDiArchivioGridView.DataBind();
                articoliDDT_GridView.DataBind();

            }
            catch { }

        }
}
}