﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Xml.Linq;
using System.Web.DynamicData;
using QuickStock.Model;
using QuickStock.DynamicData.CustomPages.GridViewGroup;
using System.Drawing;

namespace QuickStock.DynamicData.CustomPages.ORDINE_CLIENTE
{
    public partial class Edit : System.Web.UI.Page
    {
        protected MetaTable table;
        string ms_CODICE_ORDINE;

        protected void Page_Init(object sender, EventArgs e)
        {
            DynamicDataManager1.RegisterControl(DetailsView1);
        }

        protected void Page_Load(object sender, EventArgs e)
        {
            Title = "Modifica Ordine cliente";
            ms_CODICE_ORDINE = Request["CODICE_ORDINE_CLIENTE"];
        }

        protected void DetailsView1_ItemCommand(object sender, DetailsViewCommandEventArgs e)
        {
            if (e.CommandName == DataControlCommands.CancelCommandName)
            {
                Response.Redirect("~/ORDINE_CLIENTE/List.aspx");
            }
        }

        protected void DetailsView1_ItemUpdated(object sender, DetailsViewUpdatedEventArgs e)
        {
            if (e.Exception == null || e.ExceptionHandled)
            {
                Response.Redirect("~/ORDINE_CLIENTE/List.aspx");
            }
        }

        protected void articoli_OrdineCliente_GridView_RowDataBound(object sender, GridViewRowEventArgs e)
        {
            try
            {
                if (e.Row.RowIndex > -1)
                {
                    DataRowView rowView = (DataRowView)e.Row.DataItem;
                    DSOrdini.ARTICOLI_ORDINE_CLIENTERow oRow = (DSOrdini.ARTICOLI_ORDINE_CLIENTERow)rowView.Row;
                    HyperLink modify_HyperLink = (HyperLink)e.Row.FindControl("modify_HyperLink");
                    modify_HyperLink.NavigateUrl = "~/ARTICOLI_ORDINE_CLIENTE/Edit.aspx?ID_ARTICOLO_ORDINE_CLIENTE=" + oRow.ID_ARTICOLO_ORDINE_CLIENTE.ToString();

                    HyperLink detail_HyperLink = (HyperLink)e.Row.FindControl("detail_HyperLink");
                    detail_HyperLink.NavigateUrl = "~/ARTICOLI_ORDINE_CLIENTE/Details.aspx?ID_ARTICOLO_ORDINE_CLIENTE=" + oRow.ID_ARTICOLO_ORDINE_CLIENTE.ToString();
                }
            }
            catch { }
        }

        protected void articoliDaCaricare_GridView_SelectedIndexChanged(object sender, EventArgs e)
        {
            try
            {
                TextBox qtaTextBox = (TextBox)articoliDaCaricare_GridView.SelectedRow.FindControl("quantita_TextBox");
                DropDownList fornitore_DropDownList = (DropDownList)articoliDaCaricare_GridView.SelectedRow.FindControl("fornitore_DropDownList");
                string codiceArticolo = articoliDaCaricare_GridView.SelectedRow.Cells[0].Text;
                int qtaOrdinata = 0;

                try
                {
                    qtaOrdinata = Int32.Parse(qtaTextBox.Text);
                }
                catch { }


                if (qtaOrdinata == 0) return;
            
                BL.Insert_Articolo_OrdineCliente(codiceArticolo, qtaOrdinata, int.Parse(fornitore_DropDownList.SelectedValue), ms_CODICE_ORDINE);

                articoloCerca_TextBox.Text = String.Empty;
                articoliDaCaricare_GridView.DataBind();
                articoli_OrdineCliente_GridView.DataBind();
            }
            catch { }
        }

        protected void ordine_ObjectDataSource_Updating(object sender, ObjectDataSourceMethodEventArgs e)
        {
            e.Cancel = true;
            string codiceOrdine = e.InputParameters["CODICE_ORDINE_CLIENTE"].ToString();
            string codiceOrdine_OLD = e.InputParameters["ORIGINAL_CODICE_ORDINE_CLIENTE"].ToString();
            
            string note = String.Empty;
            try { note = e.InputParameters["NOTE_ORDINE_CLIENTE"].ToString(); }catch { }

            DateTime dataOrdine = DateTime.Now;
            try { dataOrdine = DateTime.Parse(e.InputParameters["DATA_ORDINE_CLIENTE"].ToString()); }
            catch { }

            int idCliente = int.Parse(e.InputParameters["ID_CLIENTE_ORDINE_CLIENTE"].ToString());
            int idStato = int.Parse(e.InputParameters["ID_STATO_ORDINE"].ToString());
            int idUtente = int.Parse(e.InputParameters["ID_UTENTE_ULTIMA_MODIFICA"].ToString());
            
            BL.Update_OrdineCliente(codiceOrdine, codiceOrdine_OLD, note, dataOrdine, idCliente, idStato, idUtente);

            Response.Redirect("~/ORDINE_CLIENTE/Details.aspx?CODICE_ORDINE_CLIENTE=" + codiceOrdine);
        }

        protected void articoliDiMagazzinoGridView_SelectedIndexChanged(object sender, EventArgs e)
        {
            try
            {
                TextBox qtaTextBox = (TextBox)articoliDiMagazzinoGridView.SelectedRow.FindControl("quantita_TextBox");
                int quantitaResidua = int.Parse(articoliDiMagazzinoGridView.SelectedRow.Cells[3].Text);
                int ID_ARTICOLI_DDT_CARICO = int.Parse(qtaTextBox.ToolTip);
                string codiceArticolo = articoliDiMagazzinoGridView.SelectedRow.Cells[0].Text;
                int qtaOrdinata = 0;

                try
                {
                    qtaOrdinata = Int32.Parse(qtaTextBox.Text);
                }
                catch { }

                if (qtaOrdinata == 0 || qtaOrdinata > quantitaResidua) return;

                BL.Insert_Articolo_OrdineCliente_ByMagazzino(ID_ARTICOLI_DDT_CARICO, qtaOrdinata, ms_CODICE_ORDINE);

                articoloCerca_TextBox.Text = String.Empty;
                articoliDaCaricare_GridView.DataBind();
                articoliDiMagazzinoGridView.DataBind();
                articoli_OrdineCliente_GridView.DataBind();
            }
            catch { }

        }

        protected void articoliDiMagazzinoGridView_RowDataBound(object sender, GridViewRowEventArgs e)
        {
            try
            {
                if (e.Row.RowIndex > -1)
                {
                    // memorizzo ID_ARTICOLI_DDT_CARICO
                    DataRowView rowView = (DataRowView)e.Row.DataItem;
                    DSOrdini.ARTICOLI_DDT_CARICORow oRow = (DSOrdini.ARTICOLI_DDT_CARICORow)rowView.Row;
                    TextBox qtaTextBox = (TextBox)e.Row.FindControl("quantita_TextBox");
                    qtaTextBox.ToolTip = oRow.ID_ARTICOLI_DDT_CARICO.ToString();
                }
            }
            catch { }
        }

        protected void articoliDiMagazzinoGridView_DataBound(object sender, EventArgs e)
        {
            if (articoliDiMagazzinoGridView.Rows.Count > 0)
            {
                articoliTabs.ActiveTabIndex = 1;
            }
            else 
            {
                articoliTabs.ActiveTabIndex = 0;
            }
        }

    }
}
