﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Xml.Linq;
using System.Web.DynamicData;
using QuickStock.DynamicData.CustomPages.GridViewGroup;
using System.Drawing;
using QuickStock.Model;

namespace ORDINE_FORNITORE
{
    public partial class Edit : System.Web.UI.Page
    {
        protected MetaTable table;

        protected void Page_Init(object sender, EventArgs e)
        {
            DynamicDataManager1.RegisterControl(DetailsView1);
            GridViewHelper helper = new GridViewHelper(this.articoliOrdine_GridView);
            string[] cols = new string[1];
            cols[0] = "Codice_Articolo_Title";
            //cols[1] = "ShipName";
            helper.RegisterGroup(cols, true, true);

            helper.RegisterSummary("Quantita_Ordinata", SummaryOperation.Sum);
            helper.RegisterSummary("Quantita_Evasa", SummaryOperation.Sum);
            helper.GroupHeader += new GroupEvent(helper_GroupHeader);
            helper.GroupSummary += new GroupEvent(helper_GroupSummary);
            helper.ApplyGroupSort();
        }
        private void helper_GroupHeader(string groupName, object[] values, GridViewRow row)
        {
            if (groupName == "Codice_Articolo_Title")
            {
                row.BackColor = Color.LightGray;
                row.Font.Bold = true;
                row.Cells[0].Text = " + ARTICOLO : " + row.Cells[0].Text;
            }
        }

        private void helper_GroupSummary(string groupName, object[] values, GridViewRow row)
        {
            try
            {
                row.Font.Bold = true;
                row.Cells[0].HorizontalAlign = HorizontalAlign.Right;
                row.Cells[1].HorizontalAlign = HorizontalAlign.Right;
                row.Cells[0].Text = "totale:  ";
                int totale = int.Parse(row.Cells[1].Text);
                row.Cells[1].Text = "<B>" + row.Cells[1].Text + "</B>";
            }
            catch { }
        }

        protected void Page_Load(object sender, EventArgs e)
        {
            table = DetailsDataSource.GetTable();
            Title = table.DisplayName;
            ListHyperLink.NavigateUrl = table.ListActionPath; 
        }

        protected void DetailsView1_ItemCommand(object sender, DetailsViewCommandEventArgs e)
        {
            if (e.CommandName == DataControlCommands.CancelCommandName)
            {
                Response.Redirect(table.ListActionPath);
            }
        }

        protected void DetailsView1_ItemUpdated(object sender, DetailsViewUpdatedEventArgs e)
        {
            if (e.Exception == null || e.ExceptionHandled)
            {
                Response.Redirect(table.ListActionPath);
            }
        }

        protected void articoliOrdine_GridView_RowDataBound(object sender, GridViewRowEventArgs e)
        {
            try
            {
                if (e.Row.RowIndex > -1)
                {
                    DataRowView rowView = (DataRowView)e.Row.DataItem;
                    DSOrdini.ARTICOLI_ORDINE_FORNITORERow oRow = (DSOrdini.ARTICOLI_ORDINE_FORNITORERow)rowView.Row;
                    HyperLink detail_HyperLink = (HyperLink)e.Row.FindControl("detail_HyperLink");
                    detail_HyperLink.NavigateUrl = "~/ARTICOLI_ORDINE_FORNITORE/Details.aspx?ID_ARTICOLI_DDT_CARICO=" + oRow.ID_ARTICOLO_ORDINE_FORNITORE.ToString();
                }
            }
            catch { }
        }

        protected void printButton_Load(object sender, EventArgs e)
        {
            printButton.OnClientClick = "printOrdine('" + Request["CODICE_ORDINE_FORNITORE"] + "');";
        }
    }
}