﻿<%@ Page Language="C#" MasterPageFile="~/Site.master" CodeBehind="List.aspx.cs" Inherits="ORDINE_FORNITORE.List" %>

<%@ Register src="~/DynamicData/Content/GridViewPager.ascx" tagname="GridViewPager" tagprefix="asp" %>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:DynamicDataManager ID="DynamicDataManager1" runat="server" AutoLoadForeignKeys="true" />

    <h2><%= table.DisplayName%></h2>

    <asp:ScriptManagerProxy runat="server" ID="ScriptManagerProxy1" />

    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <asp:ValidationSummary ID="ValidationSummary1" runat="server" EnableClientScript="true"
                HeaderText="List of validation errors" />
            <asp:DynamicValidator runat="server" ID="GridViewValidator" ControlToValidate="GridView1" Display="None" />
            
            <fieldset>
                <legend>FILTRO DI RICERCA</legend>
                <br />
                <table>
                    <tr>
                        <td>Fornitore</td>
                        <td>
                            <asp:DropDownList ID="fornitore_DropDownList" runat="server" 
                                AutoPostBack="True" DataSourceID="fornitoreLinqDataSource" 
                                DataTextField="RAGIONE_SOCIALE_FORNITORE" DataValueField="ID_FORNITORE" 
                                Height="23px" Width="480px" AppendDataBoundItems="True">
                                <asp:ListItem></asp:ListItem>
                            </asp:DropDownList>
                            <asp:LinqDataSource ID="fornitoreLinqDataSource" runat="server" 
                                ContextTypeName="QuickStock.Model.QuickStockDataContext" 
                                Select="new (ID_FORNITORE, RAGIONE_SOCIALE_FORNITORE)" TableName="FORNITORE" 
                                OrderBy="RAGIONE_SOCIALE_FORNITORE">
                            </asp:LinqDataSource>
                        </td>
                    </tr>
                    <tr>
                        <td>Numero ordine fornitore</td>
                        <td><asp:TextBox ID="codiceOrdine_TextBox" runat="server" AutoPostBack="True" Width="180px"></asp:TextBox></td>
                    </tr>
                    <tr>
                        <td>Stato</td>
                        <td>
                            <asp:DropDownList ID="statoDropDownList" runat="server" 
                                AppendDataBoundItems="True" AutoPostBack="True" 
                                DataSourceID="statoOrdineLinqDataSource" DataTextField="NOME_STATO_ORDINE" 
                                DataValueField="ID_STATO_ORDINE" Height="23px" Width="141px">
                                <asp:ListItem></asp:ListItem>
                            </asp:DropDownList>
                            <asp:LinqDataSource ID="statoOrdineLinqDataSource" runat="server" 
                                ContextTypeName="QuickStock.Model.QuickStockDataContext" 
                                Select="new (NOME_STATO_ORDINE, ID_STATO_ORDINE)" TableName="STATO_ORDINE">
                            </asp:LinqDataSource>
                        </td>
                    </tr>
                </table>
            </fieldset>
            <br />
            
            <asp:GridView ID="GridView1" runat="server" DataSourceID="GridDataSource"
                AllowPaging="True" AllowSorting="True" CssClass="gridview">
                <Columns>
                    <asp:TemplateField>
                        <ItemTemplate>
                            <asp:HyperLink ID="EditHyperLink" runat="server"
                                NavigateUrl='<%# table.GetActionPath(PageAction.Edit, GetDataItem()) %>'
                            Text="Modifica" />&nbsp;<asp:LinkButton ID="DeleteLinkButton" runat="server" CommandName="Delete"
                                CausesValidation="false" Text="Elimina"
                                OnClientClick='return confirm("Sei sicuro di voler eliminare questa voce ?");'
                            />&nbsp;<asp:HyperLink ID="DetailsHyperLink" runat="server"
                                NavigateUrl='<%# table.GetActionPath(PageAction.Details, GetDataItem()) %>'
                                Text="Dettaglio" />
                        </ItemTemplate>
                    </asp:TemplateField>
                </Columns>

                <PagerStyle CssClass="footer"/>        
                <PagerTemplate>
                    <asp:GridViewPager runat="server" />
                </PagerTemplate>
                <EmptyDataTemplate>
                    Tabella vuota
                </EmptyDataTemplate>
            </asp:GridView>

            <asp:LinqDataSource ID="GridDataSource" runat="server" EnableDelete="true">
                <WhereParameters>
                    <asp:ControlParameter ControlID="codiceOrdine_TextBox" DbType="String" DefaultValue="" 
                        Name="CODICE_ORDINE_FORNITORE" PropertyName="Text"/>
                    <asp:ControlParameter ControlID="fornitore_DropDownList" DbType="Int32" 
                        Name="ID_FORNITORE_ORDINE_FORNITORE" PropertyName="SelectedValue" />
                    <asp:ControlParameter ControlID="statoDropDownList" DbType="Int32" 
                        Name="ID_STATO_ORDINE" PropertyName="SelectedValue" />
                </WhereParameters>
            </asp:LinqDataSource>

            <br />

            <div class="bottomhyperlink">
                <asp:HyperLink ID="InsertHyperLink" runat="server"><img runat="server" src="~/DynamicData/Content/Images/plus.gif" alt="Inserisci nuova voce" />INSERISCI</asp:HyperLink>
            </div>
        </ContentTemplate>
    </asp:UpdatePanel>
</asp:Content>
