﻿using System;
using System.Web.DynamicData;
using System.Linq;
using System.Web.UI.WebControls;
using System.Collections.Specialized;
using System.Web.UI;
using QuickStock;


    public partial class AutocompleteFK_EditField : FieldTemplateUserControl
    {
        protected void Page_Init(object sender, EventArgs e)
        {
            var fkColumn = Column as MetaForeignKeyColumn;

            // dynamically build the context key so the web service knows which table we're talking about
            //autoComplete1.ContextKey = fkColumn.ParentTable.Provider.DataModel.ContextType.FullName + "#" + fkColumn.ParentTable.Name;
            autoComplete1.ContextKey = AutocompleteFilterService.GetContextKey(fkColumn.ParentTable);

            autoComplete1.MinimumPrefixLength = Column.GetAttributeOrDefault<AutocompleteAttribute>().PrefixLength;

            // add javascript to create postback when user selects an item in the list
            var method = "function(source, eventArgs ) {\r\n" +
                "var valueField = document.getElementById('" + AutocompleteValue.ClientID + "');\r\n" +
                "valueField.value = eventArgs.get_value();\r\n" +
                "setTimeout('" + Page.ClientScript.GetPostBackEventReference(AutocompleteTextBox, null).Replace("'", "\\'") + "', 0);\r\n" +
                "}";
            autoComplete1.OnClientItemSelected = method;

            // modify behaviorID so it does not clash with other autocomplete extenders on the page
            autoComplete1.Animations = autoComplete1.Animations.Replace(autoComplete1.BehaviorID, AutocompleteTextBox.UniqueID);
            autoComplete1.BehaviorID = AutocompleteTextBox.UniqueID;

            //if (!Page.IsPostBack)
            //{
            //    // Set the initial value if there is one
            //    if (!String.IsNullOrEmpty(Row))
            //    {
            //        AutocompleteTextBox.Text = InitialValue;
            //        AutocompleteValue.Value = InitialValue;
            //    }
            //}

        }

        protected override void OnDataBinding(EventArgs e)
        {
            base.OnDataBinding(e);

            if (Mode == DataBoundControlMode.Edit)
            {
                var foreignkey = ForeignKeyColumn.GetForeignKeyString(Row);
                var foreignVal = ForeignKeyColumn.ParentTable.GetDisplayString(FieldValue);
                AutocompleteValue.Value = foreignkey;
                AutocompleteTextBox.Text = foreignVal;
            }
        }

        public void ClearButton_Click(object sender, EventArgs e)
        {
            // this would probably be better handled using client javascirpt
            AutocompleteValue.Value = String.Empty;
            AutocompleteTextBox.Text = String.Empty;
        }

        protected override void ExtractValues(IOrderedDictionary dictionary)
        {
            ExtractForeignKey(dictionary, String.IsNullOrEmpty(AutocompleteValue.Value) ? null : AutocompleteValue.Value);
        }

        public override Control DataControl
        {
            get
            {
                return AutocompleteValue;
            }
        }
    }
