﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.DynamicData;


    public partial class Enumeration_EditField : System.Web.DynamicData.FieldTemplateUserControl
    {
        protected override void OnDataBinding(EventArgs e)
        {
            // When overriding OnDataBinding be sure to call the base class's 
            // OnDataBinding method so that registered delegates receive the event.
            base.OnDataBinding(e);

            // get a data bindable list of permissions for the DDL
            var enumList = Enum.GetValues(Column.ColumnType);
            //Type t = Table.EntityType;
            DropDownList1.DataSource = enumList;
            DropDownList1.DataBind();
        }

        protected override void ExtractValues(System.Collections.Specialized.IOrderedDictionary dictionary)
        {
            dictionary[Column.Name] = ConvertEditedValue(DropDownList1.SelectedValue);
        }

        protected void DropDownList1_DataBound(object sender, EventArgs e)
        {
            // make sure we are in edit mode
            if (Mode == DataBoundControlMode.Edit)
            {
                // try to get an item in the list that matched the FieldValueString
                ListItem item = DropDownList1.Items.FindByValue(FieldValueString);
                if (item != null)
                {
                    // if we get the value set the drop down list to FieldValueString
                    DropDownList1.SelectedValue = FieldValueString;
                }
            }
        }

        public override Control DataControl
        {
            get
            {
                return DropDownList1;
            }
        }
    }
