﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.DynamicData;


public static partial class HelperExtansionMethods
{
    public static T GetAttributeOrDefault<T>(this MetaTable table) where T : Attribute, new()
    {
        return table.Attributes.OfType<T>().DefaultIfEmpty(new T()).FirstOrDefault();
    }

    public static T GetAttributet<T>(this MetaTable table) where T : Attribute
    {
        return table.Attributes.OfType<T>().FirstOrDefault();
    }

    public static T GetAttributeOrDefault<T>(this MetaColumn column) where T : Attribute, new()
    {
        return column.Attributes.OfType<T>().DefaultIfEmpty(new T()).FirstOrDefault();
    }

    public static T GetAttribute<T>(this MetaColumn column) where T : Attribute
    {
        return column.Attributes.OfType<T>().FirstOrDefault();
    }
}