﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel;
using Microsoft.Web.DynamicData.Extensions;

namespace QuickStock.Model
{
    [ScaffoldTable(true)]
    [MetadataType(typeof(ARTICOLOMetadata))]
    public partial class ARTICOLO
    {
        [DisplayName("Articoli")]
        [DisplayColumn("CODICE_ARTICOLO", "CODICE_ARTICOLO", false)]
        [ReadOnly(false)]
        private class ARTICOLOMetadata
        {
            [DisplayName("Codice")]
            public object CODICE_ARTICOLO { get; set; }

            [DisplayName("Peso kg")]
            public object PESO_ARTICOLO { get; set; }

            [DisplayName("Descrizione")]
            public object DESCRIZIONE_ARTICOLO { get; set; }

            [DisplayName("Prezzo di acquisto")]
            public object PREZZO_ACQUISTO_ARTICOLO { get; set; }

            [DisplayName("Pezzi in scatola")]
            public object PEZZI_PER_SCATOLA_ARTICOLO { get; set; }

            [ScaffoldColumn(false)]
            [DisplayName("Articoli ordinati da cliente")]
            public object ARTICOLI_ORDINE_CLIENTE { get; set; }

            [ScaffoldColumn(false)]
            public object ARTICOLI_ORDINE_FORNITORE { get; set; }

            //[Filter(FilterControl = "Autocomplete")]
            //[UIHint("AutocompleteFK")]
            [Filter(FilterControl = "Default")]
            [DisplayName("Categoria")]
            public object NOME_CATEGORIA_ARTICOLO { get; set; }

            //[Filter(FilterControl = "Autocomplete")]
            //[UIHint("AutocompleteFK")]
            [Filter(FilterControl = "Default")]
            [DisplayName("Classe")]
            public object NOME_CLASSE_ARTICOLO { get; set; }

            [DisplayName("Produttore")]
            public object PRODUTTORE { get; set; }

            [Filter(FilterControl = "Default")]
            [DisplayName("Tipo")]
            public object NOME_TIPO_ARTICOLO { get; set; }

            [DisplayName("U/M")]
            public object UNITA_MISURA { get; set; }

            
            [ScaffoldColumn(false)]
            [Filter(Enabled = false, FilterControl = "Default")]
            public object ARTICOLI_DDT_CARICO { get; set; }
        }


    }
}
